import { Nil } from '../interfaces';
/**
 * Creates an array of grouped elements, the first of which contains the first elements of the given arrays, the second of which contains the second elements of the given arrays, and so on.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 2,844 bytes
 * - Micro-dash: 190 bytes
 */
export declare function zip<T1, T2>(array1: T1[], array2: T2[]): Array<[T1, T2]>;
export declare function zip<T1, T2, T3>(array1: T1[], array2: T2[], array3: T3[]): Array<[T1, T2, T3]>;
export declare function zip<T1, T2, T3, T4>(array1: T1[], array2: T2[], array3: T3[], array4: T4[]): Array<[T1, T2, T3, T4]>;
export declare function zip<T>(...arrays: Array<T[]>): T[][];
export declare function zip<T>(...arrays: Array<T[] | Nil>): Array<Array<T | Nil>>;
