import { ObjectWith } from '../interfaces';
/**
 * This method is like `_.reduce` except that it iterates over elements of `collection` from right to left.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 14,053 bytes
 * - Micro-dash: 357 bytes
 */
export declare function reduceRight<E>(array: E[] | undefined, iteratee: (accumulator: E, value: E, index: number) => E): E;
export declare function reduceRight<E, A>(array: E[] | undefined, iteratee: (accumulator: A, value: E, index: number) => A, accumulator: A): A;
export declare function reduceRight<E>(array: ObjectWith<E> | undefined, iteratee: (accumulator: E, value: E, key: keyof E) => E): E;
export declare function reduceRight<E, A>(array: ObjectWith<E> | undefined, iteratee: (accumulator: A, value: E, key: keyof E) => A, accumulator: A): A;
