import { IfCouldBe, Nil, ObjectIteratee } from '../interfaces';
/**
 * Creates an object with the same keys as `object` and values generated by running each own enumerable string keyed property of `object` thru `iteratee`.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 13,835 bytes
 * - Micro-dash: 280 bytes
 */
export declare function mapValues<A extends any[] | Nil, O>(array: A, iteratee: (item: NonNullable<A>[number], index: number) => O): {
    [index: number]: O;
} | IfCouldBe<A, Nil, {}>;
export declare function mapValues<T, O>(object: T, iteratee: ObjectIteratee<T, O>): {
    [key in keyof NonNullable<T>]: O;
} | IfCouldBe<T, Nil, {}>;
